Bug 1826406 - update to koji 1.21.0
Summary: update to koji 1.21.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: koji
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mike McLean
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-21 15:43 UTC by Ken Dreyer (Red Hat)
Modified: 2020-05-16 04:20 UTC (History)
5 users (show)

Fixed In Version: koji-1.21.0-2.fc32 koji-1.21.0-2.el6 koji-1.21.0-2.el7 koji-1.21.0-2.fc31 koji-1.21.0-2.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-05 05:35:41 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Fedora Pagure koji issue 2167 0 None None None 2020-04-21 15:48:10 UTC
Red Hat Bugzilla 1826343 0 unspecified CLOSED koji-1.21.0 is available 2021-02-22 00:41:40 UTC

Description Ken Dreyer (Red Hat) 2020-04-21 15:43:43 UTC
Description of problem:
koji-web crashes on non-complete tasks. This is fixed upstream in https://pagure.io/koji/issue/2167

Version-Release number of selected component (if applicable):
python2-koji-web-1.20.1-1.el7

How reproducible:
always

Steps to Reproduce:
1. Set up koji-hub and koji-web
2. Create a new "build" task
3. View the new build taskinfo web page while the task is open

Actual results:
koji-web crashes with AttributeError: 'datetime.datetime' object has no attribute 'timestamp'

Expected results:
koji-web properly displays the task information

Comment 1 Kevin Fenzi 2020-04-21 16:30:04 UTC
Yes, this was on my list for today. :)

Comment 2 Ken Dreyer (Red Hat) 2020-04-21 21:07:29 UTC
Thanks Kevin for updating Rawhide so soon!

Comment 3 Fedora Update System 2020-04-30 19:31:30 UTC
FEDORA-EPEL-2020-f2d964c080 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-f2d964c080

Comment 4 Fedora Update System 2020-04-30 19:31:31 UTC
FEDORA-EPEL-2020-e9d34610c0 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-e9d34610c0

Comment 5 Fedora Update System 2020-04-30 19:31:32 UTC
FEDORA-2020-5088f068f4 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-5088f068f4

Comment 6 Fedora Update System 2020-04-30 19:31:33 UTC
FEDORA-2020-edd79688a9 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-edd79688a9

Comment 7 Fedora Update System 2020-05-01 05:03:48 UTC
FEDORA-2020-edd79688a9 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-edd79688a9`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-edd79688a9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-05-01 05:48:08 UTC
FEDORA-EPEL-2020-e9d34610c0 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-e9d34610c0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-05-01 05:48:09 UTC
FEDORA-EPEL-2020-f2d964c080 has been pushed to the Fedora EPEL 6 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-f2d964c080

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-05-01 06:13:07 UTC
FEDORA-2020-5088f068f4 has been pushed to the Fedora 30 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-5088f068f4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-5088f068f4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-05-01 19:22:36 UTC
FEDORA-2020-69cb41f2c7 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-69cb41f2c7`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-69cb41f2c7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-05-05 05:35:41 UTC
FEDORA-2020-69cb41f2c7 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-05-16 00:55:53 UTC
FEDORA-EPEL-2020-f2d964c080 has been pushed to the Fedora EPEL 6 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2020-05-16 00:59:47 UTC
FEDORA-EPEL-2020-e9d34610c0 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2020-05-16 03:10:26 UTC
FEDORA-2020-edd79688a9 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2020-05-16 04:20:45 UTC
FEDORA-2020-5088f068f4 has been pushed to the Fedora 30 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.